if not exists(select* from sys.sysobjects where id = object_id(N'dbo.InventoryADUser'))
begin
    create table[dbo].[InventoryADUser](
        [ID][uniqueidentifier] NOT NULL,
        [ADDomainID] [uniqueidentifier] NOT NULL,
        [AlreadyCreated] [bit] NULL,
        [Domain] [nvarchar](256) NULL,
        [DomainNetBiosName] [nvarchar](256) NULL,
        [Email] [nvarchar](256) NULL,
        [FirstName] [nvarchar](256) NULL,
        [LastName] [nvarchar](256) NULL,
        [NetBiosName] [nvarchar](256) NULL,
        [SamAccountName] [nvarchar](256) NOT NULL,
        [UserPrincipalName] [nvarchar](256) NULL,
        constraint[PK_InventoryADUser] primary key clustered(ID)
    );
end;